import { Tool, ToolAgentResult, ToolContext } from './types.js';
/**
 * Main tool agent function that orchestrates the conversation with the AI
 * and handles tool execution
 */
export declare const toolAgent: (initialPrompt: string, tools: Tool[], config: {
    maxIterations: number;
    model: import("ai").LanguageModelV1;
    maxTokens: number;
    temperature: number;
    getSystemPrompt: typeof import("./config.js").getDefaultSystemPrompt;
} | undefined, context: ToolContext) => Promise<ToolAgentResult>;
//# sourceMappingURL=toolAgentCore.d.ts.map